Quantcast

Re: [Mondo-devel] Mondo restore on RHL 4

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Mondo-devel] Mondo restore on RHL 4

Jing.Xu

Hello Mondo Ninja:

 

Can you help me out on this restore?  Thanks.

 

Jing

 


From: Xu, Jing PH/US/EXT
Sent: Monday, April 26, 2010 12:30 PM
To: '[hidden email]'
Subject: Mondo restore on RHL 4

 

Hi Bruno,

 

I have a system on Red hat release 4 update 2 with Mondo software. The Mondo image was created successfully. However, when I do restore by type in nuke at #boot prompt, it gave error saying libnewt.so.0.51: cannot open… see screen shot first one below.

If I type in mondorestore at the # prompt, it gives the same error, see 2nd screen shot.

 

The 3rd screen shot is the tail of the /var/log/mondorestore.log.

 

Can you tell me what is wrong here?

 

Thanks.

 

Jing

 

 

[nm31479@RESSLNXINTSFS1 ~]$ cat /etc/re*rel*

Red Hat Enterprise Linux AS release 4 (Nahant Update 2)

 [nm31479@RESSLNXINTSFS1 ~]$ rpm -qa|grep mondo

mondo-2.2.9.2-1.rhel4

[nm31479@RESSLNXINTSFS1 ~]$ rpm -qa|grep mindi

mindi-busybox-1.7.3-1.rhel4

mindi-2.0.7.2-1.rhel4

[nm31479@RESSLNXINTSFS1 ~]$

 

 

 

 

 

 

 


------------------------------------------------------------------------------

_______________________________________________
Mondo-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/mondo-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Mondo-devel] Mondo restore on RHL 4

Gattegno, Victor (GSD CSC / GCC)
Hello Jing,
 
The entire mondoarchive.log and mondorestore.log files would help more...
 
In order to know the version of mondo-related softwares installed, could you also post the result of:
rpm -qa --qf "%{NAME}-%{VERSION}-%{RELEASE}-%{ARCH}\n" | egrep 'afio|buffer|newt'
 
Mondoarchive and mondorestore need libnewt.so.0.5x (from newt-x.xx.x package).
More precisely: mondo 2.2.9 needs libnewt.so.0.52, mondo 2.2.8 needs libnewt.so.0.51. So it seems that your mondo image was created through mondo 2.2.8 ?
 
Could you check the libnewt libs in /usr/lib (ls -ls /usr/lib/libnewt*) ; can you find /usr/lib/libnewt.so.0.51 ?
 
Suppose that you have only /usr/lib/libnewt.so.0.52 on your server, then - if you created a mondo image through mondo 2.2.8 - you could do first "ln -s  /usr/lib/libnewt.so.0.52  /usr/lib/libnewt.so.0.51" and try again.
 
Last recommendation: use the latest packages from ftp://ftp.mondorescue.org/rhel (example : mondo 2.2.9.3-1).
 
Regards,
Victor
From: [hidden email] [mailto:[hidden email]]
Sent: lundi 26 avril 2010 19:29
To: [hidden email]
Subject: Re: [Mondo-devel] Mondo restore on RHL 4

Hello Mondo Ninja:

 

Can you help me out on this restore?  Thanks.

 

Jing

 


From: Xu, Jing PH/US/EXT
Sent: Monday, April 26, 2010 12:30 PM
To: '[hidden email]'
Subject: Mondo restore on RHL 4

 

Hi Bruno,

 

I have a system on Red hat release 4 update 2 with Mondo software. The Mondo image was created successfully. However, when I do restore by type in nuke at #boot prompt, it gave error saying libnewt.so.0.51: cannot open… see screen shot first one below.

If I type in mondorestore at the # prompt, it gives the same error, see 2nd screen shot.

 

The 3rd screen shot is the tail of the /var/log/mondorestore.log.

 

Can you tell me what is wrong here?

 

Thanks.

 

Jing

 

 

[nm31479@RESSLNXINTSFS1 ~]$ cat /etc/re*rel*

Red Hat Enterprise Linux AS release 4 (Nahant Update 2)

 [nm31479@RESSLNXINTSFS1 ~]$ rpm -qa|grep mondo

mondo-2.2.9.2-1.rhel4

[nm31479@RESSLNXINTSFS1 ~]$ rpm -qa|grep mindi

mindi-busybox-1.7.3-1.rhel4

mindi-2.0.7.2-1.rhel4

[nm31479@RESSLNXINTSFS1 ~]$

 

 

 

 

 

 

 


------------------------------------------------------------------------------

_______________________________________________
Mondo-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/mondo-devel
Loading...